import BaseComponent from '../../BaseComponent';
import { PersonaPresence as PersonaPresenceEnum, IPersonaPresenceProps } from '../Persona.types';
export declare class PersonaPresenceBase extends BaseComponent<IPersonaPresenceProps> {
    presence: PersonaPresenceEnum;
    size: any;
    isOutOfOffice: any;
    coinSize: any;
    presenceTitle: any;
    PersonaPresenceEnum: typeof PersonaPresenceEnum;
    get renderIcon(): boolean;
    get presenceHeightWidth(): string;
    get coinSizeWithPresenceStyle(): {
        width: string;
        height: string;
    } | undefined;
    get coinSizeWithPresenceIconStyle(): {
        fontSize: string;
        lineHeight: string;
    } | undefined;
    get classNames(): any;
    get icon(): "" | "SkypeCheck" | "SkypeArrow" | "SkypeClock" | "SkypeMinus" | undefined;
    render(): JSX.Element | undefined;
}
//# sourceMappingURL=PersonaPresence.base.d.ts.map